Audio
Transcription and post-transcription analysis.
POST
/v1/audio/analysesAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key?string
A unique key used to safely retry a non-streaming POST request.
Length
length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/audio/analyses" \ -H "Content-Type: application/json" \ -d '{ "processing": {} }'{ "completed_at": 0, "created_at": 0, "error": { "property1": null, "property2": null }, "expires_at": 0, "id": "string", "metadata": { "property1": "string", "property2": "string" }, "object": "job", "operation": "string", "progress": { "property1": null, "property2": null }, "result": { "property1": null, "property2": null }, "result_deleted_at": 0, "started_at": 0, "status": "queued", "usage": { "property1": null, "property2": null }}POST
/v1/audio/transcriptionsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key?string
A unique key used to safely retry a non-streaming POST request.
Length
length <= 255Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/audio/transcriptions" \ -F file="string" \ -F model="string"{ "text": "string", "usage": { "seconds": 0, "type": "duration" }}